var loading = false;
var utils = {

    /**
     * 显示加载动画
     *
     * @param {*} element
     */
    showLoading: function (element) {

        element = utils._loadingElem(element);
        $(element).append('<div class="admin-loading" style=""><i class="layui-icon layui-icon-loading layui-anim layui-anim-rotate layui-anim-loop"></i></div>');
    },
    /**
     * 移除加载动画
     *
     * @param {*} element
     */
    removeLoading: function (element) {
        element = utils._loadingElem(element);
        setTimeout(function () {
            $(element + '>.admin-loading').remove();
        }, 300);
    },

    _loadingElem: function (element) {
        if (typeof element === 'number' || !element) {
            switch (element) {
                case 1:
                    element = '#adminPopupC';
                    break;
                case 2:
                    element = '.layui-body';
                    break;

                default:
                    element = 'body';
                    break;
            }
        }
        return element;
    },

    GetRequest: function () {

        var url = location.hash; //获取url中"?"符后的字串
        var theRequest = new Object();
        if (url.indexOf("?") != -1) {
            var str = url.substr(url.indexOf("?") + 1);
            var strs = str.split("&");
            for (var i = 0; i < strs.length; i++) {
                theRequest[strs[i].split("=")[0]] = decodeURIComponent(strs[i].split("=")[1]);
            }
        }
        return theRequest;
    },

    /**
     * 路由注册
     *
     */
    initRouter: function () {
        // 如果菜单为空，则需要重新登录
        $.getJSON('./lib/menu.json', function(data) {
            // if (config.menus.length === 0) {
            //     return;
            // }
            utils.regRouter(data.data);
            Q.init({
                index: 'dashboard'
            });
        })
    },

    /**
     * 设置导航栏选中
     *
     * @param {*} url #! 后面的东西
     */
    activeNav: function (url) {
        let activeUrl = '';
        if(url === 'reportAnalysisDetail'){
            activeUrl = 'reportAnalysis'
        }else{
            activeUrl = url;
        }
        $('.layout-container .layout-header .nav-bar ul li').removeClass('active');
        // $('.layui-layout-admin .layui-side .layui-nav .layui-nav-item').removeClass('layui-this');
        if (url && url != '') {
            // $('.layui-layout-admin .layui-side .layui-nav .layui-nav-itemed').removeClass('layui-nav-itemed');
            var $a = $('.layout-container .layout-header .nav-bar ul li[data-url="#!' + activeUrl + '"]');
            $a.addClass('active');
        }
    },

    /**
     * 使用递归循环注册
     *
     * @param {*} menus
     */
    regRouter: function (menus) {
        $.each(menus, function (i, data) {
            if (data.url && data.url.indexOf('#!') == 0) {
                Q.reg(data.url.substring(2), function (type, id) {
                    // var menuId = data.url.substring(2);
                    var menuPath = 'newhtml/template/' + data.path;
                    utils.loadView(menuPath);
                    if (type) {
                        // setTimeout(function () {
                            $("#hiddenValue").val(type)
                        // }, 100)
                    }
                    if(id){
                        $("#hiddenValueId").val(id)
                    }
                });
            }
            // 递归注册路由
            // if (data.subMenus) {
            //     index.regRouter(data.subMenus);
            // }
        });
    },

    /**
     * 路由加载组件页面
     *
     * @param {*} menuId
     * @param {*} menuPath
     * @param {*} menuName
     */
    loadView: function (menuPath) {
        var contentDom = '.layout-container .layout-body .layout-body-content';

        // 加载页面
        $(contentDom).load(menuPath, function () {

        });
        // 设置导航栏选中
        this.activeNav(Q.lash);
    }

}
